Eclipse Platform Release 3.7

## org.eclipse.ui.commands
Class ActionHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.ui.commands.AbstractHandler
                  org.eclipse.ui.commands.ActionHandler

All Implemented Interfaces:
  IHandler, IHandler2

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public final class ActionHandler

extends AbstractHandler

This class adapts instances of `IAction` to `IHandler`.

Since:
  3.0
See Also:
  `ActionHandler`

Constructor Summary
`ActionHandler(IAction action)` Deprecated. Creates a new instance of this class given an instance of `IAction`.

Method Summary
`void` `addHandlerListener(IHandlerListener handlerListener)` Deprecated.
`void` `dispose()` Deprecated. Removes the property change listener from the action.
`Object` `execute(Map parameterValuesByName)` Deprecated.
`IAction` `getAction()` Deprecated. Returns the action associated with this handler
`Map` `getAttributeValuesByName()` Deprecated. This simply return an empty map.
`void` `removeHandlerListener(IHandlerListener handlerListener)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.eclipse.ui.commands.AbstractHandler
`execute, fireHandlerChanged, fireHandlerChanged, hasListeners, isEnabled, isHandled`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionHandler

    public ActionHandler(IAction action)

  Deprecated.
  Creates a new instance of this class given an instance of `IAction`.

  Parameters:
    `action` - the action. Must not be `null`.

Method Detail

### addHandlerListener

    public void addHandlerListener(IHandlerListener handlerListener)

  Deprecated.
  Overrides:
    `addHandlerListener` in class `AbstractHandler`
  Since:
    3.1
  See Also:
    `IHandler.addHandlerListener(org.eclipse.ui.commands.IHandlerListener)`

### dispose

    public void dispose()

  Deprecated.
  Removes the property change listener from the action.

  Specified by:
    `dispose` in interface `IHandler`
  Overrides:
    `dispose` in class `AbstractHandler`
  See Also:
    `IHandler.dispose()`

### execute

    public Object execute(Map parameterValuesByName)
                   throws ExecutionException

  Deprecated.
  Throws:
    `ExecutionException`

### getAction

    public IAction getAction()

  Deprecated.
  Returns the action associated with this handler

  Returns:
    the action associated with this handler (not null)
  Since:
    3.1

### getAttributeValuesByName

    public Map getAttributeValuesByName()

  Deprecated.
  Description copied from class: `AbstractHandler`
  This simply return an empty map. The default implementation has no attributes.

  Overrides:
    `getAttributeValuesByName` in class `AbstractHandler`
  See Also:
    `IHandler.getAttributeValuesByName()`

### removeHandlerListener

    public void removeHandlerListener(IHandlerListener handlerListener)

  Deprecated.
  Overrides:
    `removeHandlerListener` in class `AbstractHandler`
  Since:
    3.1
  See Also:
    `IHandler.removeHandlerListener(org.eclipse.ui.commands.IHandlerListener)`

### toString

    public final String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.